	TMask& msk = app().app_mask();
  const char* catpri = msk.get(F_CAT1);
  const char* catsec = msk.get(F_CAT2);
  const char* catter = msk.get(F_CAT3);
  const char* catqua = msk.get(F_CAT4);
  const char* catqui = msk.get(F_CAT5);
  const char* catses = msk.get(F_CAT6);
  
  TAssoc_array categorie;
  //if (catpri.not_empty() && catpri.ok())
	if (catpri!=NULL)  
  	categorie.add(catpri);
  //if (catsec.not_empty() && catsec.ok())
	if (catsec!=NULL)  
  	categorie.add(catsec);
  //if (catter.not_empty() && catter.ok())
	if (catter!=NULL)  
  	categorie.add(catter);
  //if (catqua.not_empty() && catqua.ok())
	if (catqua!=NULL)  
  	categorie.add(catqua);
  //if (catqui.not_empty() && catqui.ok())
	if (catqui!=NULL)  
  	categorie.add(catqui);
  //if (catses.not_empty() && catses.ok())
	if (catses!=NULL)  
  	categorie.add(catses);
	
